Name: clamtk
Version: 4.34
Release: 1%{dist}
Summary: Easy to use graphical user interface for Clam anti virus
License: GPL+ or Artistic
Group: Applications/System
URL: http://clamtk.sourceforge.net/

Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: desktop-file-utils
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(LWP::UserAgent)
Requires: clamav >= 0.95, clamav-update, data(clamav)
Requires: zenity, cronie, udev

%description
ClamTk is a front end for ClamAV anti virus.
It is meant to be lightweight and easy to use.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}/
install -p -D -m0755 clamtk %{buildroot}/%{_bindir}/clamtk
install -p -D -m0644 clamtk.png %{buildroot}/%{_datadir}/pixmaps/clamtk.png
install -p -D -m0644 clamtk.1.gz %{buildroot}/%{_mandir}/man1/clamtk.1.gz
install -p -D -m0644 clamtk.desktop %{buildroot}/%{_datadir}/applications/clamtk.desktop
install -p -d %{buildroot}/%{perl_vendorlib}/ClamTk
install -p -m0644 lib/*.pm %{buildroot}/%{perl_vendorlib}/ClamTk/

for n in po/*.mo ; do
	install -p -D -m0644 $n %{buildroot}/%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/clamtk.mo
done

desktop-file-install --delete-original				\
	--add-category="GTK"							\
	--add-category="GNOME"							\
	--add-category="Utility"						\
	--dir %{buildroot}/%{_datadir}/applications %{buildroot}/%{_datadir}/applications/*

%find_lang %{name}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc CHANGES DISCLAIMER LICENSE README
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Aug 13 2011 Dave M. <dave.nerd@gmail.com> - 4.34-1
- Updated to release 4.34.
- desktop-file-install categories updated.

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 4.33-2
- Perl mass rebuild

* Sat Jun 11 2011 Dave M. <dave.nerd@gmail.com> - 4.33-1
- Updated to release 4.33.

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 4.32-2
- Perl 5.14 mass rebuild

* Mon Apr 25 2011 Dave M. <dave.nerd@gmail.com> - 4.32-1
- Updated to release 4.32.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 8 2011 Dave M. <dave.nerd@gmail.com> - 4.31-1
- Updated to release 4.31.
- Dependency clamav-data changed to data(clamav).

* Sun Nov 7 2010 Dave M. <dave.nerd@gmail.com> - 4.30-1
- Updated to release 4.30.

* Sat Sep 11 2010 Dave M. <dave.nerd@gmail.com> - 4.29-1
- Updated to release 4.29.
- ClamAV dependency is bumped to >= 0.95.

* Tue Aug 17 2010 Dave M. <dave.nerd@gmail.com> - 4.28-1
- Updated to release 4.28.
- Removed dependency for hal (deprecated).
- Added dependency for udev.

* Sat Jul 10 2010 Dave M. <dave.nerd@gmail.com> - 4.27-1
- Updated to release 4.27.
- Added dependency for hal.

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 4.26-2
- Mass rebuild with perl-5.12.0

* Sat May 1 2010 Dave M. <dave.nerd@gmail.com> - 4.26-1
- Updated to release 4.26.

* Sun Mar 7 2010 Dave M. <dave.nerd@gmail.com> - 4.25-1
- Updated to release 4.25.

* Sun Feb 28 2010 Dave M. <dave.nerd@gmail.com> - 4.24-1
- Updated to release 4.24.
- Spelling of Antivirus changed to accomodate rpmlint
  (mood: irritated).

* Tue Jan 19 2010 Dave M. <dave.nerd@gmail.com> - 4.23-1
- Updated to release 4.23.
- Removed perl(gettext) from Requires.
- Replaced perl(libwww-perl) with perl(LWP::UserAgent).

* Fri Dec 25 2009 Dave M. <dave.nerd@gmail.com> - 4.22-1
- Updated to release 4.22.
- License updated as GPL+ or Artistic.
- desktop-file-utils is now BuildRequires.

* Sat Dec 5 2009 Dave M. <dave.nerd@gmail.com> - 4.21-1
- Updated to release 4.21.

* Wed Nov 11 2009 Dave M. <dave.nerd@gmail.com> - 4.20-2
- desktop-file-utils is now Required
- Source URL now honors guidelines
- files in files section standardized in style

* Sun Nov 8 2009 Dave M. <dave.nerd@gmail.com> - 4.20-1
- Updated to release 4.20.
- install is now install -p

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild 

* Sat Mar 07 2009 Jerome Soyer <saispo@gmail.com> - 4.10-1
- New upstream release

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Jerome Soyer <saispo@gmail.com> - 4.09-1
- New upstream release

* Wed Jan 07 2009 Jerome Soyer <saispo@gmail.com> - 4.08-4
- Remove script from prep section

* Wed Jan 07 2009 Jerome Soyer <saispo@gmail.com> - 4.08-3
- Add Perl Provides and Requires in prep section
- Add Requires on Perl

* Tue Jan 06 2009 Jerome Soyer <saispo@gmail.com> - 4.08-2
- Change Licence tag
- Remove unneeded Requires and BuildRequires
- Remove scriptlets "update-mime-database"
- Move *.pm into regular Perl modules

* Fri Jan 02 2009 Jerome Soyer <saispo@gmail.com> - 4.08-1
- New upstream release

* Wed Dec 10 2008 Jerome Soyer <saispo@gmail.com> - 4.06-2
- Fix RPM Group
- Bump Release

* Thu Dec 09 2008 Jerome Soyer <saispo@gmail.com> - 4.06-1
- First Fedora Package
